Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.model.workflow
Interface DelayNodeInstance

Deprecated. - use `NodeInstance` instead.

public interface DelayNodeInstance

Method Summary
`void` | `activate()` Deprecated. - use `NodeInstance.activate` instead.
`long` | `getNodeInstanceId()` Deprecated. - use `NodeInstance.getNodeInstanceId` instead.
`long` | `getProcessInstanceId()` Deprecated. - use `NodeInstance.getProcessInstanceId` instead.
`int` | `getState()` Deprecated. - use `NodeInstance.getState` instead.
`TimerStatus[]` | `getStatusOfTimers()` Deprecated. - use `NodeInstance.getStatusOfTimers` instead.
`void` | `removeTimer(long timerInstanceId)` Deprecated. - use `NodeInstance.removeTimer` instead.
`void` | `reset()` Deprecated. - use `NodeInstance.reset` instead.

Method Detail

### getNodeInstanceId

    public long getNodeInstanceId()

  Deprecated. - use `NodeInstance.getNodeInstanceId` instead.

### getState

    public int getState()

  Deprecated. - use `NodeInstance.getState` instead.

### getProcessInstanceId

    public long getProcessInstanceId()
                              throws ModelInternalException

  Deprecated. - use `NodeInstance.getProcessInstanceId` instead.

  Throws:
    `ModelInternalException`

### activate

    public void activate()
                  throws WFServerException,
                         WFInternalException,
                         ModelInternalException

  Deprecated. - use `NodeInstance.activate` instead.

  Throws:
    `WFServerException`
    `WFInternalException`
    `ModelInternalException`

### reset

    public void reset()
               throws WFServerException,
                      WFInternalException,
                      ModelInternalException

  Deprecated. - use `NodeInstance.reset` instead.

  Throws:
    `WFServerException`
    `WFInternalException`
    `ModelInternalException`

### getStatusOfTimers

    public TimerStatus[] getStatusOfTimers()
                                    throws ModelException

  Deprecated. - use `NodeInstance.getStatusOfTimers` instead.

  Throws:
    `ModelException`

### removeTimer

    public void removeTimer(long timerInstanceId)
                     throws ModelException

  Deprecated. - use `NodeInstance.removeTimer` instead.

  Throws:
    `ModelException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD